Skip to main content
GET
Total Insider Buy & Sells

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer

How many items to return. If no limit is given, returns all matching data. Min: 1.

Required range: x >= 1
Example:

10

Response

filing_date
string

The filing date as ISO date.

Example:

"2023-12-13T00:00:00.000Z"

purchases
integer

The amount of purchase transactions.

Example:

12

purchases_notional
string

The total notional value of purchase transactions.

Example:

"14317122.490"

sells
integer

The amount of sell transactions.

Example:

10

sells_notional
string

The total notional value of sell transactions.

Example:

"-1291692.4942"

Last modified on September 29, 2026